> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get event types

> Returns available notification event types and their field structures. Use this to understand what event types you can configure (`reaching_used_space`, `reaching_files_quantity`, `reaching_used_traffic`, `reaching_used_requests`) and their required fields.



## OpenAPI

````yaml /api-reference/services_documented/object_storage_api.yaml get /storage/notifications/v1/events/configurator
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Object Storage API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-14T07:00:22.640261+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Notifications
    x-displayName: Notifications
  - name: SSHKeys
    x-displayName: SSHKeys
  - name: Storage Locations
    x-displayName: Storage Locations
  - name: Storage
    x-displayName: Storage
  - name: Storage Statistics
    x-displayName: Storage Statistics
  - name: S3-Compatible Storage
    x-displayName: S3-Compatible Storage
  - name: SFTP Storage
    x-displayName: SFTP Storage
paths:
  /storage/notifications/v1/events/configurator:
    get:
      tags:
        - Notifications
      summary: Get event types
      description: >-
        Returns available notification event types and their field structures.
        Use this to understand what event types you can configure
        (`reaching_used_space`, `reaching_files_quantity`,
        `reaching_used_traffic`, `reaching_used_requests`) and their required
        fields.
      operationId: eventsMetaHttp
      responses:
        '200':
          description: EventsMetaResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EventsMetaResponse'
        '400':
          description: ErrResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrResponse'
        '401':
          description: ErrResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrResponse'
        '409':
          description: ErrResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrResponse'
components:
  schemas:
    EventsMetaResponse:
      type: object
      properties:
        structure:
          type: array
          description: Structure of request body
          items:
            $ref: '#/components/schemas/EventDescription'
      description: EventsMeta describe how to form POST/PATCH request
    ErrResponse:
      type: object
      properties:
        error:
          type: string
      description: ErrResponse is an error response
    EventDescription:
      type: object
      properties:
        fields:
          type: array
          description: Fields description
          items:
            $ref: '#/components/schemas/EventField'
        name:
          type: string
          description: Name of event for root prop of request structure
          example: reaching_files_quantity
      description: EventDescription to form structure of request
    EventField:
      type: object
      properties:
        name:
          type: string
          description: Name of field in root event structure
          example: storage_name
        type:
          type: string
          description: Type of field
          example: number, bool, text
      description: EventField details
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````